Index: code/branches/presentation3/src/libraries/core/ConfigFileManager.cc
===================================================================
--- code/branches/presentation3/src/libraries/core/ConfigFileManager.cc	(revision 7153)
+++ code/branches/presentation3/src/libraries/core/ConfigFileManager.cc	(revision 7155)
@@ -33,4 +33,5 @@
 #include "util/Convert.h"
 #include "util/Math.h"
+#include "util/StringUtils.h"
 #include "ConsoleCommand.h"
 #include "ConfigValueContainer.h"
Index: code/branches/presentation3/src/libraries/core/ConfigFileManager.h
===================================================================
--- code/branches/presentation3/src/libraries/core/ConfigFileManager.h	(revision 7153)
+++ code/branches/presentation3/src/libraries/core/ConfigFileManager.h	(revision 7155)
@@ -39,5 +39,4 @@
 
 #include "util/Singleton.h"
-#include "util/StringUtils.h"
 
 namespace orxonox // tolua_export
Index: code/branches/presentation3/src/libraries/util/CMakeLists.txt
===================================================================
--- code/branches/presentation3/src/libraries/util/CMakeLists.txt	(revision 7153)
+++ code/branches/presentation3/src/libraries/util/CMakeLists.txt	(revision 7155)
@@ -27,4 +27,5 @@
   Clipboard.cc
   Clock.cc
+  Convert.cc
   CRC32.cc
   ExprParser.cc
Index: code/branches/presentation3/src/libraries/util/Convert.cc
===================================================================
--- code/branches/presentation3/src/libraries/util/Convert.cc	(revision 7155)
+++ code/branches/presentation3/src/libraries/util/Convert.cc	(revision 7155)
@@ -0,0 +1,55 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ */
+
+#include "Convert.h"
+#include "StringUtils.h"
+
+namespace orxonox
+{
+    //template <class FromType, class ToType>
+    bool ConverterExplicit<std::string, bool>::convert(bool* output, const std::string& input)
+    {
+        const std::string& stripped = getLowercase(removeTrailingWhitespaces(input));
+        if (stripped == "true" || stripped == "on" || stripped == "yes")
+        {
+            *output = true;
+            return true;
+        }
+        else if (stripped == "false" || stripped == "off" || stripped == "no")
+        {
+            *output = false;
+            return true;
+        }
+
+        std::istringstream iss(input);
+        if (iss >> (*output))
+            return true;
+        else
+            return false;
+    }
+}
Index: code/branches/presentation3/src/libraries/util/Convert.h
===================================================================
--- code/branches/presentation3/src/libraries/util/Convert.h	(revision 7153)
+++ code/branches/presentation3/src/libraries/util/Convert.h	(revision 7155)
@@ -64,5 +64,5 @@
 
     Defining your own functions:
-    There are obviously 4 ways to specifiy a user defined conversion. What should I use?
+    There are obviously 4 ways to specify a user defined conversion. What should you use?
 
     Usually, ConverterFallback fits quite well. You won't have to deal with the conversion from
@@ -70,5 +70,6 @@
 
     However if you want to overwrite an implicit conversion or an iostream operator, you really need to
-    make use of ConverterExplicit.
+    make use of ConverterExplicit. We have to do this for the Ogre classes for instance because they
+    define stream operators we don't particulary like.
 */
 
@@ -388,32 +389,9 @@
     };
 
-    // Declarations to avoid StringUtils.h include
-    _UtilExport std::string removeTrailingWhitespaces(const std::string& str);
-    _UtilExport std::string getLowercase(const std::string& str);
-
     // std::string to bool
     template <>
-    struct ConverterExplicit<std::string, bool>
-    {
-        static bool convert(bool* output, const std::string& input)
-        {
-            const std::string& stripped = getLowercase(removeTrailingWhitespaces(input));
-            if (stripped == "true" || stripped == "on" || stripped == "yes")
-            {
-                *output = true;
-                return true;
-            }
-            else if (stripped == "false" || stripped == "off" || stripped == "no")
-            {
-                *output = false;
-                return true;
-            }
-
-            std::istringstream iss(input);
-            if (iss >> (*output))
-                return true;
-            else
-                return false;
-        }
+    struct _UtilExport ConverterExplicit<std::string, bool>
+    {
+        static bool convert(bool* output, const std::string& input);
     };
 }
